Subject: Re: What's cooking in git.git (May 2022, #01; Mon, 2)

From: Derrick Stolee <[email-masked]>
Date: Thu, 5 May 2022 11:13:18 -0400

On 5/5/2022 11:04 AM, Elijah Newren wrote:
> On Wed, May 4, 2022 at 9:18 AM Junio C Hamano <[email-masked]> wrote:
>>
>>>> * en/sparse-cone-becomes-default (2022-04-21) 9 commits
>>>>  - Documentation: some sparsity wording clarifications
>>>>  - git-sparse-checkout.txt: mark non-cone mode as deprecated
>>>>  - git-sparse-checkout.txt: flesh out pattern set sections a bit
>>>>  - git-sparse-checkout.txt: add a new EXAMPLES section
>>>>  - git-sparse-checkout.txt: shuffle some sections and mark as internal
>>>>  - git-sparse-checkout.txt: update docs for deprecation of 'init'
>>>>  - git-sparse-checkout.txt: wording updates for the cone mode default
>>>>  - sparse-checkout: make --cone the default
>>>>  - tests: stop assuming --no-cone is the default mode for sparse-checkout
>>>>
>>>>  Deprecate non-cone mode of the sparse-checkout feature.
>>>>
>>>>  Will merge to 'next'?
>>>>  source: <[email-masked]>
>>>
>>> This has been quite stable and I'd like to see it merge early in the
>>> release cycle in case that catches anything during local testing.
>>
>> This one I am not worried about stability all that much; I am more
>> worried about breaking those who do not believe in "cone is the
>> future" and managing their expectations.
> 
> What path forward would you like to see?
> 
> On v2 you said, "There are a few things that I found questionable, but
> they were mostly documentation issues".  You brought up several points
> in v2 where my wording in the Documentation was admittedly suboptimal,
> though I think I addressed all of those in v3.
> 
> I also brought up an alternative change for consideration in the cover
> letter, though you didn't comment on it and other reviewers, while
> okay with the alternative, seemed to agree with my proposed changes in
> the series over the alternative.
> 
> Also, it might be worth noting:
>   - sparse-checkout, the capability in Git since ~2010, remains
> unmodified by these changes
>   - sparse-checkout, the subcommand added a couple years ago, still
> supports all non-cone mode behaviors it did before
>   - the change here is that the sparse-checkout subcommand's default
> becomes cone mode, along with documentation updates

I think Junio's concerns are the same ones we have had that delayed
this switch from the start: we don't know who might be surprised by
this change.

We've given this enough time to collect opinions from interested
parties that watch the list, but we need the next level of feedback
at this point. That's why I'm advocating to merge this now and have
a long time before the release to gather feedback.

Thanks,
-Stolee